Apply Manifest To Space

Apply Manifest To Space
Apply a manifest to a space

Apply changes specified in a manifest to the named apps and their underlying processes. The apps must reside in the space. These changes are additive and will not modify any unspecified properties or remove any existing environment variables, app features, routes, or services.

Apply manifest will only trigger an immediate update for the “instances” property or routing changes. All other properties require an app restart to take effect.

Request
URI
POST
https://api.example.local/v3/spaces/{guid}/actions/apply_manifest
COPY
Path Parameters
string
guid
Required

The unique identifier for the resource


Request Body
Authentication
This operation uses the following authentication methods.
Responses
202

Accepted

Operation doesn't return any data structure

Response Headers

string
Location

URL of the job that is applying the manifest


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


404

Not Found

Returns NotFound of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


422

Unprocessable Entity

Returns UnprocessableEntity of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/x-yaml' -d '[{}]' https://{api_host}/v3/spaces/{guid}/actions/apply_manifest